Name:          classpath-explorer
Version:       1.0
Release:       1%{?dist}
Summary:       Java library which allows discovering classes at runtime
License:       ASL 2.0
URL:           https://github.com/frankslin/classpath-explorer/
Source0:       https://github.com/frankslin/classpath-explorer/archive/%{name}-%{version}.tar.gz
# https://github.com/frankslin/classpath-explorer/issues/10
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
Library which allows discovering classes at runtime.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

# com.google:google:1
%pom_remove_parent

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

(
 cd test-data
 %jar -cf ../test-data.jar *
)

# Unwanted tasks (use svntask.jar)
%pom_remove_plugin :maven-antrun-plugin

# AssertionFailedError: Expected (2 length) not same as Actual (1 length) expected:<2> but was:<1>
sed -i '/assertArrayEqualsAnyOrder(path.listPackages(""), "A", "META-INF");/,+5d' \
 src-test/com/google/classpath/ClassPathTest.java

%mvn_file com.google.%{name}:%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Apr 06 2016 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
